//---------------------------------------------------------------------------

#ifndef Unit1H
#define Unit1H
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include <ExtCtrls.hpp>
#include <Dialogs.hpp>
#include <ComCtrls.hpp>
#include <Menus.hpp>
//---------------------------------------------------------------------------
class TForm1 : public TForm
{
__published:	// IDE-managed Components
	TPaintBox *PaintBox1;
	TColorDialog *ColorDialog1;
	TTimer *TimerColor;
	TTimer *TimerRules;
	TTimer *TimerRadius;
	TTimer *TimerIndependence;
	TTimer *TimerVariance;
	TTimer *TimerReset;
	TTimer *TimerTrails;
	TTimer *TimerCursor;
	TPopupMenu *PopupMenu1;
	TMenuItem *Exit1;
	TMenuItem *Run1;
	TMenuItem *Step1;
	TMenuItem *Exit2;
	TMenuItem *Controls1;
	TMenuItem *Hidden1;
	TMenuItem *Visible1;
	TGroupBox *GroupBoxControls;
	TButton *ButtonShrink;
	TButton *ButtonGrow;
	TRadioGroup *RadioGroupTrail;
	TButton *ButtonRun;
	TButton *ButtonStop;
	TButton *ButtonStep;
	TButton *ButtonReset;
	TTrackBar *TrackBarPopulation;
	TLabel *Label3;
	TEdit *EditPop;
	TLabel *Label2;
	TTrackBar *TrackBarSpeed;
	TRadioGroup *RadioGroupSpace;
	TRadioGroup *RadioGroupTimers;
	TGroupBox *GroupBox1;
	TLabel *Label1;
	TShape *ShapeColor;
	TRadioGroup *RadioGroupColor;
	TButton *ButtonSelectColor;
	TRadioGroup *RadioGroupRules;
	TTrackBar *TrackBarRadius;
	TLabel *Label4;
	TEdit *EditRadius;
	TTrackBar *TrackBarIndependence;
	TLabel *Label5;
	TEdit *EditStubbornness;
	TEdit *EditVariance;
	TTrackBar *TrackBarVariance;
	TLabel *Label6;
	TButton *ButtonClose;
	TTimer *TimerPopulation;
	TEdit *EditStart;
	TEdit *EditEnd;
	TTimer *TimerOneSecond;
	TTrackBar *TrackBarDepth;
	TLabel *Label8;
	TRadioGroup *RadioGroupPenWidth;
	TShape *ShapeRed;
	TShape *ShapeCyan;
	TLabel *Label7;
	TButton *ButtonEqualizeSpeed;
	TMenuItem *Reset1;
	TMenuItem *ClearScreen1;
	void __fastcall ButtonShrinkClick(TObject *Sender);
	void __fastcall ButtonGrowClick(TObject *Sender);
	void __fastcall RadioGroupTrailClick(TObject *Sender);
	void __fastcall ButtonStepClick(TObject *Sender);
	void __fastcall ButtonRunClick(TObject *Sender);
	void __fastcall ButtonStopClick(TObject *Sender);
	void __fastcall ButtonResetClick(TObject *Sender);
	void __fastcall PaintBox1MouseDown(TObject *Sender, TMouseButton Button,
          TShiftState Shift, int X, int Y);
	void __fastcall FormShow(TObject *Sender);
	void __fastcall ButtonSelectColorClick(TObject *Sender);
	void __fastcall PaintBox1MouseMove(TObject *Sender, TShiftState Shift, int X,
          int Y);
	void __fastcall TrackBarSpeedChange(TObject *Sender);
	void __fastcall TrackBarPopulationChange(TObject *Sender);
	void __fastcall FormActivate(TObject *Sender);
	void __fastcall RadioGroupRulesClick(TObject *Sender);
	void __fastcall TrackBarRadiusChange(TObject *Sender);
	void __fastcall TrackBarIndependenceChange(TObject *Sender);
	void __fastcall TrackBarVarianceChange(TObject *Sender);
	void __fastcall TimerColorTimer(TObject *Sender);
	void __fastcall TimerRulesTimer(TObject *Sender);
	void __fastcall TimerRadiusTimer(TObject *Sender);
	void __fastcall TimerIndependenceTimer(TObject *Sender);
	void __fastcall TimerVarianceTimer(TObject *Sender);
	void __fastcall TimerResetTimer(TObject *Sender);
	void __fastcall RadioGroupTimersClick(TObject *Sender);
	void __fastcall TimerTrailsTimer(TObject *Sender);
	void __fastcall TimerCursorTimer(TObject *Sender);
	void __fastcall Exit1Click(TObject *Sender);
	void __fastcall Run1Click(TObject *Sender);
	void __fastcall Step1Click(TObject *Sender);
	void __fastcall Exit2Click(TObject *Sender);
	void __fastcall Visible1Click(TObject *Sender);
	void __fastcall Hidden1Click(TObject *Sender);
	void __fastcall ButtonCloseClick(TObject *Sender);
	void __fastcall TimerPopulationTimer(TObject *Sender);
	void __fastcall TimerOneSecondTimer(TObject *Sender);
	void __fastcall RadioGroupColorClick(TObject *Sender);
	void __fastcall TrackBarDepthChange(TObject *Sender);
	void __fastcall RadioGroupPenWidthClick(TObject *Sender);
	void __fastcall ButtonEqualizeSpeedClick(TObject *Sender);
	void __fastcall Reset1Click(TObject *Sender);
	void __fastcall ClearScreen1Click(TObject *Sender);
private:	// User declarations
public:		// User declarations
	__fastcall TForm1(TComponent* Owner);
};
//---------------------------------------------------------------------------
extern PACKAGE TForm1 *Form1;
//---------------------------------------------------------------------------
#endif
